'----------------------------------------------------------------------
'DBEngine Custom Control Constants for Visual Basic 3.0
'Copyright (C) - 1993 by Douglas A. Bebber
'June 15, 1993
'
'If you are developing with Microsoft Visual Basic 3.0 it
'is recommended that you use these Global Constants.
'
' Under Visual Basic 3.0 the OpenTable and UpdateRecord
' Action constants specified in the DBENG3.TXT file
' conflict with reserved words.
'----------------------------------------------------------------------


Global Const DB_None = 0
Global Const DB_AddPassword = 1
Global Const DB_AddRecords = 2
Global Const DB_AppendRecord = 3
Global Const DB_ClearRecord = 4
Global Const DB_CloseTable = 5
Global Const DB_CopyTable = 6
Global Const DB_CreateIndex = 7
Global Const DB_CreateTable = 8
Global Const DB_DecryptTable = 9
Global Const DB_DeleteIndex = 10
Global Const DB_DeleteRecord = 11
Global Const DB_DeleteTable = 12
Global Const DB_EncryptTable = 13
Global Const DB_FindTable = 14
Global Const DB_FirstRecord = 15
Global Const DB_FlushBuffers = 16
Global Const DB_GetField = 17
Global Const DB_GetFieldName = 18
Global Const DB_GetFieldNumber = 19
Global Const DB_GetFieldType = 20
Global Const DB_GetRecord = 21
Global Const DB_GetRecordNumber = 22
Global Const DB_GotoLock = 23
Global Const DB_GotoRecord = 24
Global Const DB_InsertRecord = 25
Global Const DB_IsFieldBlank = 26
Global Const DB_IsRecordLocked = 27
Global Const DB_IsTableProtected = 28
Global Const DB_LastRecord = 29
Global Const DB_LockRecord = 30
Global Const DB_LockTable = 31
Global Const DB_MapKey = 32
Global Const DB_NextRecord = 33
Global Const DB_NFields = 34
Global Const DB_NKeyFields = 35
Global Const DB_NRecords = 36
Global Const DB_OpenTable = 37
Global Const DB_PreviousRecord = 38
Global Const DB_PutBlank = 39
Global Const DB_PutField = 40
Global Const DB_QueryKey = 41
Global Const DB_RefreshTable = 42
Global Const DB_RemovePassword = 43
Global Const DB_RemoveRecords = 44
Global Const DB_RenameTable = 45
Global Const DB_SearchField = 46
Global Const DB_SearchKey = 47
Global Const DB_TableChanged = 48
Global Const DB_UnlockRecord = 49
Global Const DB_UnlockTable = 50
Global Const DB_UpdateRecord = 51
Global Const DB_UpgradeTable = 52

'DBEngine Search Constants
Global Const SearchFirst = 0
Global Const SearchNext = 1
Global Const ClosestRecord = 2

'DBEngine Table Lock Constants
Global Const FullLock = 1
Global Const WriteLock = 2
Global Const PreventWriteLock = 3
Global Const PreventFullLock = 1

'DBEngine index types
Global Const Primary = 0
Global Const NonMaintainedSecondary = 1
Global Const MaintainedSecondary = 2

'DBEngine IndexCase Constants
Global Const CaseSensitive = 0
Global Const CaseInsensitive = 1

'DBEngine Table Type Constants
Global Const Paradox35 = 0
Global Const Paradox40 = 1

